<template>
   <view class="qualityIndex-wrap">
     <view class="qualityIndex-main">
       <!-- 待领取和转发提煤单 -->
       <view class="wait-collection">
         <h1>随时随地查看最新消息</h1>
       </view>
       <view class="qualityIndex-button">
         <view class="quality-button">
           <u-button @click="handleEDCClick" class="quality-button" type="primary">EDC取样</u-button>
         </view>
         <view class="quality-button">
           <u-button @click="handleGaiMeiClick" class="quality-button" type="primary">原盐钙镁取样</u-button>
         </view>
         <view class="quality-button">
           <u-button @click="handleTOCClick" class="quality-button" type="primary">原盐TOC取样</u-button>
         </view>
         <view class="quality-button">
           <u-button @click="handleSalTotalClick" class="quality-button" type="primary">原盐全检</u-button>
         </view>
         <view class="quality-button">
           <u-button @click="handleSymbNaClick" class="quality-button" type="primary">氢氧化钠取样</u-button>
         </view>
       </view>
     </view>
   </view>
</template>

<script>
export default {
  name: "qualityIndex",
  data() {
    return{

    }
  },
  onLoad() {
    this.init()
  },
  methods: {
    init() {
      this.getBunkerList()
    },
    getBunkerList() {
      this.$store.dispatch('getBunkerList')
    },
    handleEDCClick() {  //EDC取样
     uni.navigateTo({
       url: '/pages/quality-inspection-page/edc-sampling/edc-sampling'
     })
    },
    handleGaiMeiClick() {  //原盐钙镁
      uni.navigateTo({
        url: '/pages/quality-inspection-page/yanGaiMei-sampling/yanGaiMei-sampling'
      })
    },
    handleTOCClick() { //TOC
      uni.navigateTo({
        url: '/pages/quality-inspection-page/toc-sampling/toc-sampling'
      })
    },
    handleSalTotalClick() { //原盐全检
      uni.navigateTo({
        url: '/pages/quality-inspection-page/salt-total-sampling/salt-total-sampling'
      })
    },
    handleSymbNaClick() {  //氢氧化钠取样
      uni.navigateTo({
        url: '/pages/quality-inspection-page/symbNa-sampling/symbNa-sampling'
      })
    }
  },
  onPullDownRefresh() {
    console.log('下拉刷新0000000000000')
    setTimeout(() => {
      this.init(() => {
        uni.stopPullDownRefresh()
      })
    },1000)
  },
  onReachBottom() { //上拉加载
    console.log('上拉加载0000000000000')
    this.init()
  },
}
</script>

<style lang="scss" scoped>
@mixin commonBtn($h:62rpx){
  background-image: linear-gradient(to right,#497bfb,#2467fd);
  height: $h!important;
  box-shadow: 0 0 10px rgba(43,98,239,0.5);
}
.qualityIndex-wrap{
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  .qualityIndex-main{
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 50rpx 20rpx 20rpx 20rpx;
    box-sizing: border-box;
  }
  .wait-collection {
    width: calc(100% - 40rpx);
    height: 350rpx;
    background: url("https://wrzs.czjlchem.com:9090/appimg/image/banner/quality-banner.png") no-repeat center;
    background-size: 100% 100%;
    display: flex;
    align-items: center;
    margin: 0 20rpx;
    h1{
      color: #fff;
      font-size: 28rpx;
      margin-left: 60rpx;
      font-family: '微软雅黑 Light';
      letter-spacing: 2rpx;
    }
  }
  .qualityIndex-button{
    display: flex;
    flex-wrap: wrap;
    margin-top: 30rpx;
    background: #fff;
  }
  .quality-button{
    width: calc(50vw - 60rpx);
    margin: 20rpx;
    ::v-deep{
      .u-button{
        margin: 0rpx;
        padding: 0 50rpx;
        @include commonBtn(68);
      }
    }
  }
}
.custom-style{
  width: 100vw;
}
</style>
